## org.apache.lucene.analysis
Class CharArraySet.CharArraySetIterator

    java.lang.Object
      org.apache.lucene.analysis.CharArraySet.CharArraySetIterator

All Implemented Interfaces:
  Iterator<String>

Enclosing class:
  CharArraySet

Deprecated. Use the standard iterator, which returns `char[]` instances.

    @Deprecated
    public class CharArraySet.CharArraySetIterator

extends Object
implements Iterator<String>

The Iterator<String> for this set. Strings are constructed on the fly, so use `nextCharArray` for more efficient access.

Method Summary
`boolean` `hasNext()` Deprecated.
`String` `next()` Deprecated. Returns the next String, as a Set<String> would...
`char[]` `nextCharArray()` Deprecated. do not modify the returned char[]
`void` `remove()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasNext

    public boolean hasNext()

  Deprecated.
  Specified by:
    `hasNext` in interface `Iterator<String>`

### nextCharArray

    public char[] nextCharArray()

  Deprecated.
  do not modify the returned char[]

### next

    public String next()

  Deprecated.
  Returns the next String, as a Set<String> would... use nextCharArray() for better efficiency.

  Specified by:
    `next` in interface `Iterator<String>`

### remove

    public void remove()

  Deprecated.
  Specified by:
    `remove` in interface `Iterator<String>`